Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.jmx
Class NamedValueSupport

`java.lang.Object
oracle.dms.table.NameSupport
oracle.dms.jmx.NamedValueSupport`

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Name, NamedValue, java.io.Serializable

public class NamedValueSupport
extends NameSupport
implements NamedValue

`NamedValueSupport` contains a pair of the name and value. `NamedValueSupport` follows Java Bean naming convention.

Since:
  Oracle Application Server 10g (10.1.3)
See Also:
  Serialized Form

Constructor Summary
`NamedValueSupport(java.lang.String name, java.io.Serializable value)` Costructor.

Method Summary
`java.io.Serializable` | `getValue()` Gets the value.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setValue(java.io.Serializable value)` Sets the value.

Methods inherited from class oracle.dms.table.NameSupport
`compareTo, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.dms.table.Name
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### NamedValueSupport

    public NamedValueSupport(java.lang.String name,
                             java.io.Serializable value)

  Costructor.
Parameters:
  `name` - the names of the columns.
  `value` - the values of the columns.
Since:
  Oracle Application Server 10g (10.1.3)

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name.
  Parameters:
    `name` - the name.
  Since:
    Oracle Application Server 10g (10.1.3)

### getValue

    public java.io.Serializable getValue()

  Gets the value.
  Specified by:
    `getValue` in interface `NamedValue`
  Returns:
    the value.

### setValue

    public void setValue(java.io.Serializable value)

  Sets the value.
  Parameters:
    `value` - the value.
  Since:
    Oracle Application Server 10g (10.1.3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.